package com.incubator.common;

import java.util.concurrent.ThreadLocalRandom;
import java.util.Random;

public final class ExRandom {

	private static final Random random = new Random(System.currentTimeMillis());

	private static final ThreadLocalRandom crtRandom = ThreadLocalRandom.current();

	private static final char[] useChar = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z' };

	public static void setSeed(long seed) {
		random.setSeed(seed);
	}

	public static double nextDouble() {
		return random.nextDouble();
	}

	public static float nextFloat() {
		return random.nextFloat();
	}

	public static long nextLong() {
		return random.nextLong();
	}

	public static int nextInt() {
		return random.nextInt();
	}

	/**
	 * 获得一个0~n的整形整数
	 * 
	 * @param n
	 * @return
	 */
	public static int nextInt(int n) {
		return random.nextInt(n);
	}

	public static int nextInt(int start, int end) {
		return start + nextInt(end - start);
	}

	public static boolean nextBoolean() {
		return random.nextBoolean();
	}

	public static void nextBytes(byte[] b) {
		random.nextBytes(b);
	}

	public static String nextString(int len) {
		return nextString(len, useChar);
	}

	public static double nextGaussian() {
		return random.nextGaussian();
	}

	/**
	 * 获得一个指定长度的可见字符串
	 * 
	 * @param len
	 * @param chars
	 * @return
	 */
	public static String nextString(int len, String chars) {
		return nextString(len, chars.toCharArray());
	}

	/**
	 * 获得一个指定长度的可见字符串
	 * 
	 * @param len
	 * @param arr
	 * @return
	 */
	public static String nextString(int len, char[] arr) {
		StringBuffer s = new StringBuffer(len);
		int i = arr.length;
		for (int j = 0; j < len; ++j)
			s.append(arr[random.nextInt(i)]);
		return s.toString();
	}

	public static String nextNotRepeatString(int len, char[] arr) {
		StringBuffer s = new StringBuffer();
		int i = arr.length;
		for (int j = 0; j < len; ++j) {
			char c = arr[random.nextInt(i)];
			if (s.toString().indexOf(c) == -1)
				s.append(c);
			else
				j--;
		}
		return s.toString();
	}

	public static String nextNotRepeatString(int len, String chars) {
		return nextNotRepeatString(len, chars.toCharArray());
	}

	public static String nextCnName() {
		return nextNotRepeatString(nextInt(2, 4), Chinese.getRandomCnName());
	}

	public static void setCrtSeed(long seed) {
		crtRandom.setSeed(seed);
	}

	public static double nextCrtDouble() {
		return crtRandom.nextDouble();
	}

	public static float nextCrtFloat() {
		return crtRandom.nextFloat();
	}

	public static long nextCrtLong() {
		return crtRandom.nextLong();
	}

	public static long nextCrtLong(long bound){
		return crtRandom.nextLong(bound);
	}

	public static int nextCrtInt() {
		return crtRandom.nextInt();
	}

	public static int nextCrtInt(int n) {
		return crtRandom.nextInt(n);
	}

	public static int nextCrtInt(int start, int end) {
		return start + nextCrtInt(end - start);
	}

	public static long nextCrtLong(long start,long end){
		return crtRandom.nextLong(start,end);
	}

	public static boolean nextCrtBoolean() {
		return crtRandom.nextBoolean();
	}

	public static void nextCrtBytes(byte[] b) {
		crtRandom.nextBytes(b);
	}

	public static String nextCrtString(int len) {
		return nextCrtString(len, useChar);
	}

	public static double nextCrtGaussian() {
		return crtRandom.nextGaussian();
	}

	/**
	 * 获得一个指定长度的可见字符串
	 * 
	 * @param len
	 * @param chars
	 * @return
	 */
	public static String nextCrtString(int len, String chars) {
		return nextCrtString(len, chars.toCharArray());
	}

	/**
	 * 获得一个指定长度的可见字符串
	 * 
	 * @param len
	 * @param arr 
	 * @return
	 */
	public static String nextCrtString(int len, char[] arr) {
		StringBuilder s = new StringBuilder(len);
		int i = arr.length;
		for (int j = 0; j < len; ++j)
			s.append(arr[crtRandom.nextInt(i)]);
		return s.toString();
	}
	
}
