package com.incubator.common.data;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * 游戏json过滤表，避免删表导致客户端异常
 */
public class GameJsonFilter {
	private static final List<String> filterJson = new ArrayList<>();
	
	static {
//		filterJson.add("");
	}
	
	public static boolean isFilter(String jsonName, String path) {
		if (isRechargeExtConfig(jsonName, path)) {
			return true;
		}
		return filterJson.contains(jsonName);
	}
	/** 是否是充值的扩展配置 */
	private static boolean isRechargeExtConfig(String jsonName, String path) {
		if (isExtConfig("pay" + File.separator + "pay", path)) {
			return true;
		}
		return isExtConfig("pay" + File.separator + "Recharge", path);
	}
	
	private static boolean isExtConfig(String key, String path) {
		int index = path.indexOf(key);
		if (index > 0 && path.length() > (key.length() + index)) {
			return path.charAt(key.length() + index) != File.separatorChar;
		}
		return false;
	}
	
}
