package com.incubator.common.env;

import java.io.File;

/**
 * 开发环境
 */
class Dev_Environment extends Environment {

	@Override
	public String getJobClassDir() {
		return getRootDir() + File.separator + "build" + File.separator + "classes";
	}

	@Override
	public String getConfDir() {
		return getRootDir() + File.separator + "conf";
	}

	@Override
	public boolean initEnv() {
		String currentRoot = System.getProperty("user.dir");
		File file1 = new File(currentRoot + "/build");
		File file2 = new File(currentRoot + "/build.gradle");
		if (file1.exists() || file2.exists()) {
			setRootDir(currentRoot);
			return true;
		}
		return false;
	}

	@Override
	public boolean initEnv(String rootDir) {
		File file1 = new File(rootDir + "/build");
		File file2 = new File(rootDir + "/build.gradle");
		if (file1.exists() || file2.exists()) {
			setRootDir(rootDir);
			return true;
		}
		return false;
	}

	@Override
	public String getLogConfigFile() {
		return getRootDir() + File.separator + "conf";
	}


}
