package com.incubator.common.log4j;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * 日志工具类
 *
 * @author johnc
 */
public final class Log {

    // 获取调用者的 Logger 实例
    private static Logger getLogger() {
        // 获取当前调用堆栈
        StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
        // 第三层调用堆栈的类名即为调用者的类
        String className = stackTrace[3].getClassName();
        return LogManager.getLogger(className);
    }

    // 封装常用日志方法
    public static void info(String message, Object... params) {
        getLogger().info(message, params);
    }

    public static void debug(String message, Object... params) {
        getLogger().debug(message, params);
    }

    public static void warn(String message, Object... params) {
        getLogger().warn(message, params);
    }

    public static void error(String message, Object... params) {
        getLogger().error(message, params);
    }

    public static void trace(String message, Object... params) {
        getLogger().trace(message, params);
    }

}
