package com.incubator.common.net;

/**
 * 无心跳监听
 * @author johnc
 *
 * @param <T>
 */
public interface ConnectionListener<T> {
	
	/**
	 * 消息到达
	 * @param conn
	 * @param msg
	 */
	public void messageArrived(Connection conn, T msg);

	/**
	 * 链接打开
	 * @param connection
	 */
	public void connectionOpened(Connection connection);

	/**
	 * 链接关闭
	 * @param connection
	 */
	public void connectionClosed(Connection connection);
	
	/**
	 * 连接实例工厂
	 * @return
	 */
	public ConnectionFactory getConnectionFactory();

}
