package com.incubator.common.net;

/**
 * 网络服务器
 */
public interface NetServer {

	/**
	 * 启动端口绑定
	 * @return
	 */
	public boolean start();

	/**
	 * 关闭链接
	 */
	public void stop();

	/**
	 * 获取服务器名
	 * @return
	 */
	public String getName();

	/**
	 * 设置服务器名
	 * @param name
	 */
	public void setName(String name);

	/**
	 * 广播
	 * @param message
	 */
	public void broadCast(Object message);

	/**
	 * 取获链接状态
	 * @return
	 */
	public boolean isActive();

	/**
	 * 设置链接对象抽象数量不现实
	 * @return
	 */
	public int getConnectionCount();
	
}
