package com.incubator.core.pool;

import com.incubator.core.net.ws.WSRequest;

import java.util.concurrent.ConcurrentLinkedQueue;

public final class WSRequestPool {

    private static final ConcurrentLinkedQueue<WSRequest> requestPool = new ConcurrentLinkedQueue<>();

    public static WSRequest getRequest(byte[] bytes) throws Exception {
        WSRequest request = requestPool.poll();
        if (request == null) {
            request = new WSRequest(); // 初始化
        }
        request.fromBytes(bytes); // 重新初始化数据
        return request;
    }

    public static void recycle(WSRequest request) {
        request.reset(); // 重置状态，防止脏数据
        requestPool.offer(request);
    }
}
