package com.incubator.core.pool;

import com.incubator.core.net.ws.WSResponse;

import java.util.concurrent.ConcurrentLinkedQueue;

public final class WSResponsePool {

    private static final ConcurrentLinkedQueue<WSResponse> responsePool = new ConcurrentLinkedQueue<>();

    public static WSResponse getResponse() {
        WSResponse response = responsePool.poll();
        if (response == null) {
            response = new WSResponse();
        }
        return response;
    }

    public static void recycle(WSResponse response) {
        response.reset(); // 清空状态
        responsePool.offer(response);
    }
}
