package com.incubator.core.quartz;

import static org.quartz.CronScheduleBuilder.cronSchedule;
import static org.quartz.JobBuilder.newJob;
import static org.quartz.TriggerBuilder.newTrigger;

import com.incubator.common.log4j.Log;
import org.quartz.JobDetail;
import org.quartz.Scheduler;
import org.quartz.SchedulerFactory;
import org.quartz.Trigger;
import org.quartz.impl.StdSchedulerFactory;

public class QuartzServer {

	private Scheduler shed;

	public QuartzServer() {
		SchedulerFactory sf = new StdSchedulerFactory();
		try {
			shed = sf.getScheduler();
			shed.start();
		} catch (Exception ex) {
			Log.error("shed", ex);
		}
	}

	public void setShed(Scheduler shed) {
		this.shed = shed;
	}

	public void addJob(QuartzTask task) throws Exception {
		JobDetail jobDetail = newJob(task.getClass()).withIdentity(task.getName(), task.getGroup()).build();
		Trigger trigger = newTrigger().withIdentity(task.getName() + "trigger", task.getGroup()).withSchedule(cronSchedule(task.getCrond())).build();
		shed.scheduleJob(jobDetail, trigger);
	}

}
