package com.incubator.game.data;

import com.incubator.common.log4j.Log;
import com.incubator.core.util.DataUtil;
import com.incubator.game.GGame;

import java.io.File;
import java.io.FileFilter;

/**
 * 策划json转换成java数据文件
 */
public final class JS2JMain {

	// 生成策划表CO类路径
	private final static String pathName = "src/main/java/com/incubator/game/data/data";
	// ext父类路径
	private final static String pakName = "com.incubator.game.data.data";

	private static int TableCount = 0;

	public static void writeClass(File parent) {
		File[] tables = parent.listFiles(new FileFilter() {
			@Override
			public boolean accept(File file) {
				if (file.isDirectory()) {
					// Out.info(file.getAbsolutePath());
					writeClass(file);
				}
				
				if (file.getName().endsWith(".json")) {
					DataUtil.writeClass(file);
					return true;
				}
				return false;
			}
		});
		if (tables != null) {
			TableCount += tables.length;
		}
	}

	public static void main(String[] args) {
		loadConfig(true);
		System.exit(0);
	}
	
	public static void loadConfig(boolean loadGameConfig) {
		try {
			if (loadGameConfig) {
				GGame.getInstance().initProperties();
			}

			File root = new File(GGame.DIR_GAME_DATA);
			DataUtil.setDir(pathName);
			// 设置某些策划表CO对象的父类

			DataUtil.addExtClass(pakName);

			writeClass(root);
			Log.info("生成表格数: {}", TableCount);

			DataUtil.writeGameData();
			Log.info("策划数据表转换完成!");
		} catch (Exception e) {
			Log.error("读取策划数据表出错...", e);
		}
	}
}
