package com.incubator.game.data.data;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import com.incubator.game.player.Player;

import java.math.BigDecimal;
import java.util.List;

/** 游戏-策划配置 **/

public class ContestCO { 

	/** 赛事编号 */
	public int iD;
	/** 比赛房间玩法类型 */
	public int gameType;
	/** 比赛描述 */
	public String desc;
	/** 是否开放 */
	public int isOpen;
	/** 开始时间 */
	public String openTime;
	/** 替补参赛次数 */
	public int substituteNum;
	/** 替补参赛倒计时 */
	public int substituteTime;
	/** 房间模式 */
	public int model;
	/** 房间最大局数 */
	public int maxRound;
	/** 比赛海报地址 */
	public String url;

	/**赛制*/
	public String contestSystem;

	/**奖励列表*/
	public JSONArray rewards;

	/**赛事类型*/
	public Integer competeType;

	/**俱乐部赛事模式*/
	public int clubMode;

	/**比赛等级*/
	public int level;

	/**俱乐部列表*/
	public String clubId;

	/**俱乐部列表*/
	public int min;

	/**俱乐部列表*/
	public int max;

	/**玩法规则*/
	public JSONObject rule;
	/** 货币类型 */
	public String currencyType;

	/** 费用 */
	public BigDecimal cost;

	/**
	 * 预赛局数
	 */
	public Integer readyNum;

	/**
	 * 决赛局数
	 */
	public Integer finalNum;

	/**替补规则*/
	public Integer substituteRule;

	/**替补费用*/
	public BigDecimal substituteCost;

	/**赛事运行状态  Y上线N下线E初始D删除*/
	public String runStatus;

	/**赛事状态*/
	public Integer states;

	/**报名列表*/
	public List<Player> actors;

	public List<Player> getActors() {
		return actors;
	}

	public void setActors(List<Player> actors) {
		this.actors = actors;
	}

	public Integer getStates() {
		return states;
	}

	public void setStates(Integer states) {
		this.states = states;
	}

	public String getRunStatus() {
		return runStatus;
	}

	public void setRunStatus(String runStatus) {
		this.runStatus = runStatus;
	}

	public Integer getSubstituteRule() {
		return substituteRule;
	}

	public void setSubstituteRule(Integer substituteRule) {
		this.substituteRule = substituteRule;
	}

	public BigDecimal getSubstituteCost() {
		return substituteCost;
	}

	public void setSubstituteCost(BigDecimal substituteCost) {
		this.substituteCost = substituteCost;
	}

	public Integer getReadyNum() {
		return readyNum;
	}

	public void setReadyNum(Integer readyNum) {
		this.readyNum = readyNum;
	}

	public Integer getFinalNum() {
		return finalNum;
	}

	public void setFinalNum(Integer finalNum) {
		this.finalNum = finalNum;
	}

	public String getCurrencyType() {
		return currencyType;
	}

	public void setCurrencyType(String currencyType) {
		this.currencyType = currencyType;
	}

	public BigDecimal getCost() {
		return cost;
	}

	public void setCost(BigDecimal cost) {
		this.cost = cost;
	}

	/** 主键 */
	public int getKey() {
		return this.iD; 
	}

	/** 构造属性 */
	public void initProperty() { }

	/** 构造前置属性 */
	public void beforeProperty() { }

	public JSONObject getRule() {
		return rule;
	}

	public void setRule(JSONObject rule) {
		this.rule = rule;
	}

	public int getMin() {
		return min;
	}

	public void setMin(int min) {
		this.min = min;
	}

	public int getMax() {
		return max;
	}

	public void setMax(int max) {
		this.max = max;
	}

	public String getClubId() {
		return clubId;
	}

	public void setClubId(String clubId) {
		this.clubId = clubId;
	}

	public Integer getCompeteType() {
		return competeType;
	}

	public void setCompeteType(Integer competeType) {
		this.competeType = competeType;
	}

	public int getiD() {
		return iD;
	}

	public void setiD(int iD) {
		this.iD = iD;
	}

	public int getGameType() {
		return gameType;
	}

	public void setGameType(int gameType) {
		this.gameType = gameType;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public int getIsOpen() {
		return isOpen;
	}

	public void setIsOpen(int isOpen) {
		this.isOpen = isOpen;
	}

	public String getOpenTime() {
		return openTime;
	}

	public void setOpenTime(String openTime) {
		this.openTime = openTime;
	}

	public int getSubstituteNum() {
		return substituteNum;
	}

	public void setSubstituteNum(int substituteNum) {
		this.substituteNum = substituteNum;
	}

	public int getSubstituteTime() {
		return substituteTime;
	}

	public void setSubstituteTime(int substituteTime) {
		this.substituteTime = substituteTime;
	}

	public int getModel() {
		return model;
	}

	public void setModel(int model) {
		this.model = model;
	}

	public int getMaxRound() {
		return maxRound;
	}

	public void setMaxRound(int maxRound) {
		this.maxRound = maxRound;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getContestSystem() {
		return contestSystem;
	}

	public void setContestSystem(String contestSystem) {
		this.contestSystem = contestSystem;
	}

	public JSONArray getRewards() {
		return rewards;
	}

	public void setRewards(JSONArray rewards) {
		this.rewards = rewards;
	}

	public int getClubMode() {
		return clubMode;
	}

	public void setClubMode(int clubMode) {
		this.clubMode = clubMode;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

}