package com.incubator.game.data.data;


import com.incubator.common.log4j.Log;

import java.lang.reflect.Field;

/**
 * 全局参数表, 自定义解析管理
 */
public final class GlobalParamConfig extends ParametersConfig {

	/** 自定义格式解析字段 **/


	private static void initParameters(GlobalParamConfig config) {
		for (ParametersCO param : GameData.Parameterss.values()) {
			try {
				Field field = config.getClass().getField(param.paramName.trim().replace(".", "_"));
				String typeName = field.getType().getSimpleName();
				switch (typeName) {
					case "int":
						field.set(config, Integer.parseInt(param.paramValue));
						break;
					case "long":
						field.set(config, Long.parseLong(param.paramValue));
						break;
					case "float":
						field.set(config, Float.parseFloat(param.paramValue));
						break;
					default:
						field.set(config, param.paramValue);
						break;
				}
			} catch (Exception e) {
				Log.error(param.paramName, "\t", param.paramType, "\t", param.paramValue, ", catch - ", e);
			}
		}
	}
	
	/**
	 * 加载策划脚本
	 */
	public static void init(boolean firstInit) {
		GlobalParamConfig config = new GlobalParamConfig();
		initParameters(config);

		//自定义格式解析

	}
}

