package com.incubator.game.data.entity;


import jdk.nashorn.internal.objects.annotations.Getter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单主表
 * </p>
 *
 * @author WangYong
 * @since 2024-11-11
 */
public class ZjOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单id
     */
    private String orderId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 商品ID
     */
    private String productId;

    /**
     * 商品类型  1.实物商品，2.游戏虚拟道具
     */
    private Integer mallType;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 收货地址id
     */
    private String shippingAddress;

    /**
     * 配送方式  1.韵达，2.菜鸟
     */
    private String distributionMode;

    /**
     * 收货方式  1.送货上门，2.驿站自取
     */
    private String receiveGoodsMode;

    /**
     * 发票类型  1.不含发票，2.xx公司发票
     */
    private String invoiceMode;

    /**
     * 商品总金额(不含优惠折扣)
     */
    private BigDecimal totalPrice;

    /**
     * 订单金额(含优惠折扣)
     */
    private BigDecimal orderPrice;

    /**
     * 实际付款金额(包含运费)
     */
    private BigDecimal payPrice;

    /**
     * 买家留言
     */
    private String buyerRemark;

    /**
     * 支付方式(1 微信支付  2  其他支付）
     */
    private String payType;

    /**
     * 付款状态(N未付款 Y已付款)
     */
    private String payStatus;

    /**
     * 付款时间
     */
    private String payTime;

    /**
     * 订单状态( 0  取消  1 进行中 2 待取消 3 已完成)
     */
    private String orderStatus;

    /**
     * 订单是否已结算(N未结算 Y已结算)
     */
    private String isSettled;

    /**
     * 微信支付交易号
     */
    private String transactionId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 失效时间
     */
    private String failureTime;
    /**
     * 物流单号
     */
    private String distributionNo;

    /**
     * 流入金额
     */
    private BigDecimal inflowAmount;

    /**
     * 流出金额
     */
    private BigDecimal outflowAmount;

    /**
     * 订单描述(1:道具购买，2:钻石充值，3:金蛋购买，4:角色购买，5:实体商品购买)
     */
    private String orderType;

    /**
     * 商户信息
     */
    private String merchantInfo;

    /**
     * 商品名字
     */
    private String productName;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public Integer getMallType() {
        return mallType;
    }

    public void setMallType(Integer mallType) {
        this.mallType = mallType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getShippingAddress() {
        return shippingAddress;
    }

    public void setShippingAddress(String shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    public String getDistributionMode() {
        return distributionMode;
    }

    public void setDistributionMode(String distributionMode) {
        this.distributionMode = distributionMode;
    }

    public String getReceiveGoodsMode() {
        return receiveGoodsMode;
    }

    public void setReceiveGoodsMode(String receiveGoodsMode) {
        this.receiveGoodsMode = receiveGoodsMode;
    }

    public String getInvoiceMode() {
        return invoiceMode;
    }

    public void setInvoiceMode(String invoiceMode) {
        this.invoiceMode = invoiceMode;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public String getBuyerRemark() {
        return buyerRemark;
    }

    public void setBuyerRemark(String buyerRemark) {
        this.buyerRemark = buyerRemark;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getIsSettled() {
        return isSettled;
    }

    public void setIsSettled(String isSettled) {
        this.isSettled = isSettled;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getFailureTime() {
        return failureTime;
    }

    public void setFailureTime(String failureTime) {
        this.failureTime = failureTime;
    }

    public String getDistributionNo() {
        return distributionNo;
    }

    public void setDistributionNo(String distributionNo) {
        this.distributionNo = distributionNo;
    }

    public BigDecimal getInflowAmount() {
        return inflowAmount;
    }

    public void setInflowAmount(BigDecimal inflowAmount) {
        this.inflowAmount = inflowAmount;
    }

    public BigDecimal getOutflowAmount() {
        return outflowAmount;
    }

    public void setOutflowAmount(BigDecimal outflowAmount) {
        this.outflowAmount = outflowAmount;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getMerchantInfo() {
        return merchantInfo;
    }

    public void setMerchantInfo(String merchantInfo) {
        this.merchantInfo = merchantInfo;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }
}
