package com.incubator.game.data.po;

import com.incubator.game.util.Struct;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 比赛数据实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class ContestPO {

    /** 赛事id */
    public long contestId;
    /** 已报名角色id **/
    public List<String> playerList = new ArrayList<>();
    /** 比赛开始时间 **/
    public long startTime;
    /** 比赛类型 1:大奖赛 **/
    public int contestType;
    /** 比赛等级 **/
    public int level;
    /** 当前局数 **/
    public int curRound;
    /** 晋级历史列表 [key:轮数, value:[key: , value:[玩家id集合]]] **/
    public Map<Integer, Map<Long, List<Struct.PromotionData>>> promotionMap = new HashMap<>();

    public ContestPO() {}

    public void init() {
        this.contestId = 0;
        this.playerList.clear();
        this.startTime = 0L;
        this.contestType = 0;
        this.level = 0;
        this.curRound = 0;
        this.promotionMap = new HashMap<>();
    }

}
