package com.incubator.game.data.po;

import com.incubator.game.player.Player;
import com.incubator.game.util.GDUtils;

import java.util.*;

/**
 * 复式掼蛋桌子数据
 *
 * @author johnc
 */
public class FSGDTablePO {

    /** 最大人数 **/
    public int maxNum;
    /** 最大局数 **/
    public int maxRound;

    /** 玩家 [key:座位号， value:玩家对象] **/
    public Player[] playerMap = new Player[4];
    /** 当前局数 **/
    public int curRound;
    /** 庄家位置 **/
    public int zhuangPos;
    /** 当前级牌点数 **/
    public int curLevelPoint;
    /** 当前操作玩家 **/
    public Player currentPlayer;
    /** 其他可操作玩家集合 **/
    public List<String> otherOpPlayerList = new ArrayList<>();
    /** 当前出牌玩家打出的牌集合 **/
    public int[] curDisCardList = new int[]{};
    /** 当前出牌玩家打出的牌型 **/
    public GDUtils.CardType curDisCardType;
    /** 当前出牌的玩家 **/
    public Player disCardPlayer;
    /** 点击过玩家列表 **/
    public List<String> passList = new ArrayList<>();
    /** 接风判断标识 **/
    public Player jieFengPlayer = null;
    /** 结算列表[key:1-4游, value:玩家] **/
    public Map<Integer, Player> result = new HashMap<>();
    /** 是否进还贡逻辑 **/
    public boolean isTribute;
    /** 进还贡数据 [[0:进贡者, 1:还贡者]]**/
    public List<String[]> tributeList = new ArrayList<>();
    /** 进还贡状态 0:默认 1:进贡状态 2:还贡状态 3:抗贡**/
    public int tributeState;
    /** 进还贡选牌 [key:playerId, value:card] **/
    public Map<String, Integer> tributeCardMap = new LinkedHashMap<>();
    /** 抗贡信息 [玩家id]**/
    public List<String> towKingList = new ArrayList<>();
    /** 牌库 **/
    public List<Integer> cardList = new ArrayList<>();
    /** 当前赖子 红星级牌 **/
    public int wildCard;

    public FSGDTablePO() {}

    public void init() {
        this.maxNum = 0;
        this.maxRound = 0;
        this.playerMap = new Player[4];
        this.curRound = 0;
        this.zhuangPos = -1;
        this.curLevelPoint = 0;
        this.currentPlayer = null;
        this.otherOpPlayerList.clear();
        this.curDisCardList = new int[]{};
        this.curDisCardType = null;
        this.disCardPlayer = null;
        this.passList.clear();
        this.jieFengPlayer = null;
        this.result.clear();
        this.isTribute = false;
        this.tributeList.clear();
        this.tributeState = 0;
        this.tributeCardMap.clear();
        this.towKingList.clear();
        this.cardList.clear();
        this.wildCard = 0;
    }

}
