package com.incubator.game.data.po;

import com.incubator.game.util.GDUtils;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * 数据库表[player_info]对应的实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class PlayerInfoPO {
	/** 角色id */
	public String playerId;
	/** 角色头像 */
	public String avatarUrl;
	/** 名称 **/
	public String name;
	/** 性别 0-男 1-女 **/
	public int sex;
	/** 会员经验值(累加经验值) **/
	public long exp;
	/** 会员等级 **/
	public int vipLevel;

	/** 大师分 **/
	public long masterScore;
	/** 大师分等级 **/
	public int masterScoreLevel;
	/** 金币(金蛋) **/
	public long gold;
	/** 钻石 **/
	public long diamond;

	/** 转蛋-累计积分 **/
	public long accumulatedPoints;

	/**当前赛事转蛋积分*/
	public long matchPoints;

	/** VIP开始时间 **/
	public String startTimeVip;
	/** VIP结束时间 **/
	public String endTimeVip;

	/** 福卡 **/
	public long foca;
	/** 系统排名 **/
	public int ranking;
	/** 人物形象序号 **/
	public int figureId;

	/** 好友局局数 **/
	public int friendMasterNum;
	/** 好友局胜率 **/
	public Integer friendMasterRate;
	/** 传统积分房分数 **/
	public int tradPoints;
	/** 传统积分房胜率 **/
	public Integer tradPointsRate;
	/** 传统匹配房分数 **/
	public int tradMatchNum;
	/** 传统匹配房胜率 **/
	public Integer tradMatchRate;
	/** 不洗牌局数 **/
	public int noReshNum;
	/** 不洗牌胜率 **/
	public Integer noReshRate;

	/** 玩家绑定的房间 **/
	public long roomId;
	/** 桌子 0 1 **/
	public int tableId;
	/** 队伍id 0红 1蓝 **/
	public int teamId;
	/** 玩家位置(0东 1南 2西 3北) **/
	public int pos;
	/** 玩家状态(0未准备 1已准备 2游戏中 3结束) **/
	public int state;
	/** 是否托管 **/
	public boolean isAuto;
	/** 玩家手牌信息 **/
	public int[] remainCards = new int[]{};
	/** 玩家出牌堆 **/
	public int[] discardList = new int[]{};
	/** 当前出牌玩家打出的牌型 **/
	public GDUtils.CardType disCardType;
	/** 当前级牌点数下标  **/
	public int levelIndex;
	/** 级数显示 [我方级数, 对方级数]**/
	public int[] levelPointView = new int[2];
	/** 队友id **/
	public String teammateId;
	/** 进还贡的牌 **/
	public int tributeCard;
	/** 进还贡获得的牌 **/
	public int tributeGetCard;
	/** 是否同意交换座位 **/
	public boolean isChangePos;
	/**当前套圈数*/
	public int circleNum = 0;

	/**最优局次和分数*/
	public Map<Integer,Integer> bestScore = new HashMap<>();

	/** 比赛id **/
	public long contestId;

	/** 登录token **/
	public String token;

	/** 账号 **/
	public String userId;
	/** GPS **/
	public String gps;
	/** GPS位置详情 **/
	public String gpsAddr;
	/** 实名 **/
	public String realName;
	/** 手机号 **/
	public String phoneNum;
	/** 身份证号 **/
	public String idCard;
	/**最大大师分*/
	public Integer maxExp;

    /**登录状态*/
	private String loginStatus;

	/**魅力*/
	private Integer charm;

	/**主俱乐部*/
	private String userClub;


	/**充值金钱*/
	private Integer rmb;

	/**创建时间*/
	private Date createTime;


	public PlayerInfoPO () {

	}
}
