package com.incubator.game.data.po;

import com.incubator.game.player.Player;
import com.incubator.game.util.GDUtils;
import com.incubator.game.util.Struct;

import java.util.*;

/**
 * 房间数据实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class RoomPO {

	/** 房间号 */
	public long roomId;
	/** 房间类型 0:好友房 1:官方比赛房 **/
	public int type;
	/** 房间玩法类型 1:掼蛋 2:转蛋 3:复式掼蛋*/
	public int gameType;
	/** 房主playerId **/
	public String ownerId = "";
	//**************************配置相关***************************
	/** 最大人数 **/
	public int maxNum;
	/** 最大局数 **/
	public int maxRound;
	/** 结束时间 **/
	public long maxTime;

	/** 玩法1 1:连续打，2:按局数，3:按时间 **/
	public int mode;
	/**
	 * 玩法具体值
	 * 14:A必打 2:J必打 3:8必打 4:5必打
	 * 4:4局 6:6局 8:8局 10:10局
	 * 20:20分钟 30:30分钟 40:40分钟 60:60分钟
	 */
	public int modev;
	//**************************配置相关***************************

	/** 玩家 [key:座位号， value:玩家对象] **/
	public Player[] playerMap = new Player[maxNum];
	/** 当前局数 **/
	public int curRound;
	/** 当前时间 **/
	public long curTime;
	/** 庄家位置 **/
	public int zhuangPos;
	/** 当前级牌点数 **/
	public int curLevelPoint;
	/** 当前级牌点数下标 **/
	public int curLevelIndex;
	/** 当前操作玩家 **/
	public Player currentPlayer;
	/** 其他可操作玩家集合 **/
	public List<String> otherOpPlayerList = new ArrayList<>();
	/** 当前出牌玩家打出的牌集合 **/
	public int[] curDisCardList = new int[]{};
	/** 当前出牌玩家打出的牌型 **/
	public GDUtils.CardType curDisCardType;
	/** 当前出牌的玩家 **/
	public Player disCardPlayer;
	/** 点击过玩家列表 **/
	public List<String> passList = new ArrayList<>();
	/** 接风判断标识 **/
	public Player jieFengPlayer = null;
	/** 炸弹数量 **/
	public int bombNum;
	/** 结算列表[key:1-4游, value:SettlementData] **/
	public Map<Integer, Struct.SettlementData> result = new HashMap<>();
	/** 是否进还贡逻辑 **/
	public boolean isTribute;
	/**当前牌级的次数*/
	public int maxLvNum = 0;
	/**打到级牌的玩家id*/
	public String lvPlayerId = null;
	/** 进还贡数据 [[0:进贡者, 1:还贡者]]**/
	public List<String[]> tributeList = new ArrayList<>();
	/** 进还贡状态 0:默认 1:进贡状态 2:还贡状态 3:抗贡**/
	public int tributeState;
	/** 进还贡选牌 [key:playerId, value:card] **/
	public Map<String, Integer> tributeCardMap = new LinkedHashMap<>();
	/** 抗贡信息 [玩家id]**/
	public List<String> towKingList = new ArrayList<>();
	/** 牌库 **/
	public List<Integer> cardList = new ArrayList<>();
	/** 当前赖子 红星级牌 **/
	public int wildCard;
	/** 随机队友-亮牌 **/
	public int showCard;
	/** 随机队友-亮牌 **/
	public  List<String> showCards;
	/** 掼蛋-是否过 **/
	public boolean isOver;

	/** 比赛Id */
	public long contestId;
	public String roomIp;

    public RoomPO() {
		this.init();
	}

	public void init() {
		this.showCards = new ArrayList<>();
		this.roomIp =  "";
		this.contestId = 0;
		this.roomId = 0;
		this.type = 0;
		this.ownerId = "";
		this.maxNum = 0;
		this.maxRound = 0;
		if (this.gameType == 3) {
			this.playerMap = new Player[8];
		} else {
			this.playerMap = new Player[4];
		}
		this.curRound = 0;
		this.zhuangPos = -1;
		this.curLevelPoint = 0;
		this.curLevelIndex = 0;
		this.currentPlayer = null;
		this.otherOpPlayerList.clear();
		this.curDisCardList = new int[]{};
		this.curDisCardType = null;
		this.disCardPlayer = null;
		this.passList.clear();
		this.jieFengPlayer = null;
		this.bombNum = 0;
		this.result.clear();
		this.isTribute = false;
		this.tributeList.clear();
		this.tributeState = 0;
		this.tributeCardMap.clear();
		this.towKingList.clear();
		this.cardList.clear();
		this.wildCard = 0;
		this.showCard = 0;
	}
}
