package com.incubator.game.handler;

import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.Map;

/**
 * 收到心跳消息
 * 
 * @author johnc
 *
 */
@MessageHandler(id = CommonProto.Cmd.HeartBeatReq_VALUE)
public class HeartBeatHandler extends NetHandler {

	@Override
	public void onDate(Connection conn, WSRequest request, WSResponse response) {
//		logger.info("收到心跳消息!");
		response.setCmd(CommonProto.Cmd.HeartBeatRes_VALUE);

		Map<String, Object> data = new HashMap<>();
		data.put("currentTimeMillis", System.currentTimeMillis());
		response.setData(data);
	}

}
