package com.incubator.game.handler.address;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.ZjMemberAddrPO;
import com.incubator.game.util.ObjectMapperUtil;
import com.incubator.game.util.UtilCore;
import com.incubator.message.proto.CommonProto;

import java.util.*;
import java.util.stream.Collectors;

/**
 * Author:  xhb
 * Date:  2024-12-10 15:07
 */
@MessageHandler(id = CommonProto.Cmd.GetAddressListReq_VALUE)
public class GetAddressList extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetAddressListRes_VALUE);

        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.USER_BASE + userId);
        JSONObject userObject = JSONUtil.parseObj(userInfo);
        JSONArray userAddress = userObject.getJSONArray("userAddress");
        if (userAddress == null || userAddress.isEmpty()) {
            response.setData(new HashMap<>());
            return;
        }
        List<ZjMemberAddrPO> zjMemberAddrPOList = userAddress.toList(ZjMemberAddrPO.class);
        Map<String,Object> map = new HashMap<>();
//        List<Map<String, Object>> newList  = new ArrayList<>();
//        for (ZjMemberAddrPO zjMemberAddrPO : zjMemberAddrPOList) {
//            Map<String, Object> addrPO = new HashMap<>();
//            addrPO.put("addrId", zjMemberAddrPO.getAddrId());
//            addrPO.put("userId", zjMemberAddrPO.getUserId());
//            addrPO.put("receiver", zjMemberAddrPO.getReceiver());
//            addrPO.put("addr", zjMemberAddrPO.getAddr());
//            addrPO.put("mobile", zjMemberAddrPO.getMobile());
//            addrPO.put("commonAddr", zjMemberAddrPO.getCommonAddr());
//            newList.add(addrPO);
//        }
        List<ZjMemberAddrPO> collect = zjMemberAddrPOList.stream()
                .filter(po -> po.getStatus() == 1)
                .collect(Collectors.toList());
        List<Map<String, Object>> maps = ObjectMapperUtil.convertListToMapList(collect);
        map.put("addressList",maps);
        response.setData(map);
    }
}
