package com.incubator.game.handler.backpack;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.ZjBackpackPO;
import com.incubator.game.data.po.ZjMemberAddrPO;
import com.incubator.game.data.po.ZjOrderPO;
import com.incubator.game.util.ObjectMapperUtil;
import com.incubator.message.proto.CommonProto;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * Author:  xhb
 * Date:  2024-12-11 9:11
 */
@MessageHandler(id = CommonProto.Cmd.BagInfoReq_VALUE)
public class BagInfo extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.BagInfoRes_VALUE);

        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.USER_BASE + userId);
        JSONObject userObject = JSONUtil.parseObj(userInfo);
        JSONArray userBackpack = userObject.getJSONArray("userBackpack");
        List<ZjBackpackPO> zjBackpackPOS = userBackpack.toList(ZjBackpackPO.class);
        zjBackpackPOS = zjBackpackPOS.stream()
                .filter(item -> "N".equals(item.getIsEmploy()))
                .collect(Collectors.toList());
        Map<String,Object> map = new HashMap<>();
        List<Map<String, Object>> maps = ObjectMapperUtil.convertListToMapList(zjBackpackPOS);
        map.put("userBackpack",maps);
        response.setData(map);
    }
}
