package com.incubator.game.handler.contest;

import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.constant.WkServerStatus;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicReference;

/**
 * Author:  xhb
 * Date:  2025-01-15 11:45
 * Description: 切换IP地址
 */
@MessageHandler(id = CommonProto.Cmd.ToggleIPReq_VALUE)
public class ToggleIP extends NetHandler {
    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.ToggleIPRes_VALUE);
        Map<String, Object> data = new HashMap<>();
        HashMap<String, WkServerStatus> wkServes = RedisUtil.getWkToRedis(RedisKeyConstant.WK_SERVE);
        AtomicReference<String> wkIp = new AtomicReference<>("");
        wkServes.forEach((k,v) ->{
            if (v.getType().equals("1")){
                wkIp.set(v.getName());
            }
        });
        data.put("wkIp", wkIp.toString());
        response.setData(data);
    }
}
