package com.incubator.game.handler.event;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.util.ProtoUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-13 13:49
 */
@MessageHandler(id = CommonProto.Cmd.EventInfoReq_VALUE)
public class EventInfo extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.EventInfoRes_VALUE);
        String userId = session.getPlayerId();
        String eventStr = RedisUtil.get(RedisKeyConstant.ZJ_USER_EVENT_KEY + userId);
        JSONArray objects = JSONUtil.parseArray(eventStr);
        Map<String, Object> map = new HashMap<>();
        map.put("event", ProtoUtil.eventToJsonArray(eventStr));
        response.setData(map);
    }
}
