package com.incubator.game.handler.event;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.mq.RabbitMQUtil;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import com.incubator.game.util.JsonToMapUtil;
import com.incubator.game.util.PlayerUtil;
import com.incubator.game.util.ProtoUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-17 14:56
 */
@MessageHandler(id = CommonProto.Cmd.GetRewardReq_VALUE)
public class GetReward extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetRewardRes_VALUE);
        String userId = session.getPlayerId();
        String eventId = request.getDataValue("eventId", String.class, "");//活动id
        String periodNum = request.getDataValue("dayX", String.class, "");//第几天
        String goodsId = request.getDataValue("itemId", String.class, null);//物品id
        String goodsNum = request.getDataValue("itemNum", String.class, null);//物品数量
        JSONObject object = new JSONObject();
        object.put("type","GetReward");
        object.put("userId",userId);
        object.put("eventId",eventId);
        object.put("periodNum",periodNum);
        object.put("goodsId",goodsId);
        object.put("goodsNum",goodsNum);
        try {
            RabbitMQUtil.sendMessage(object.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
        response.setMessage("领取成功!");
    }
}
