package com.incubator.game.handler.feedback;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.entity.ZjFeedback;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.mq.RabbitMQUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;

/**
 * Author:  xhb
 * Date:  2025-01-13 16:16
 * Description: 反馈处理类
 */
@MessageHandler(id = CommonProto.Cmd.FeedbackReq_VALUE)
public class FeedbackHandler extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.FeedbackRes_VALUE);
        String userId = session.getPlayerId();
        String feedbackType = request.getDataValue("feedbackType", String.class, "");//反馈类型(1.优化  2.问题    3.其他)
        String feedbackContent = request.getDataValue("feedbackContent", String.class, "");//反馈内容
        String phone = request.getDataValue("phone", String.class, "");//反馈手机号
        ZjFeedback zjFeedback = new ZjFeedback();
        zjFeedback.setUserId(userId);
        zjFeedback.setFeedbackContent(feedbackContent);
        zjFeedback.setFeedbackType(feedbackType);
        zjFeedback.setRewardPh(phone);
        JSONObject object = new JSONObject();
        object.put("type","Feedback");
        object.put("data",zjFeedback);
        try {
            RabbitMQUtil.sendMessage(object.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }

        response.setMessage("反馈成功");
    }
}
