package com.incubator.game.handler.gameinfo;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.util.JsonToMapUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2025-01-15 19:20
 * 收藏记录
 */
@MessageHandler(id = CommonProto.Cmd.CollectGameInfoReq_VALUE)
public class CollectGameInfoHandler  extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.CollectGameInfoRes_VALUE);
        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.ZJ_USER_GAME_KEY + userId);
        String gameId = request.getDataValue("gameId", String.class, "");
        if (userInfo == null) {
            response.setData(new HashMap<>());
            return;
        }
        JSONArray objects = new JSONArray(userInfo);
        for (Object object : objects) {
            JSONObject jsonObject = (JSONObject) object;
            if (gameId.equals(jsonObject.getStr("gameId"))) {
                jsonObject.put("isCollected",true);
                RedisUtil.set(RedisKeyConstant.ZJ_USER_GAME_KEY + userId, objects.toString());
                break;
            }
        }
        Map<String, Object> map = new HashMap<>();
        map.put("data", "收藏成功");
        response.setData(map);
    }
}
