package com.incubator.game.handler.gameinfo;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.util.JsonToMapUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2025-01-13 15:55
 */
@MessageHandler(id = CommonProto.Cmd.GetGameInfoReq_VALUE)
public class GetGameInfoHandler extends NetHandler {
    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetGameInfoRes_VALUE);
        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.ZJ_USER_GAME_KEY + userId);
        if (userInfo == null) {
            response.setData(new HashMap<>());
            return;
        }
        JSONArray objects = new JSONArray(userInfo);
        List<Map<String, Object>> mapList = JsonToMapUtil.parseJsonArrayToMapList(objects);
        Map<String, Object> map = new HashMap<>();
        map.put("gameRecData", mapList);
        response.setData(map);
    }
}
