package com.incubator.game.handler.http;

import cn.hutool.json.JSON;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.log4j.Log;
import com.incubator.common.util.RandomUtil;
import com.incubator.core.net.http.HttpHandler;
import com.incubator.core.net.http.HttpRequest;
import com.incubator.core.net.http.HttpResponse;
import com.incubator.game.GGame;
import com.incubator.game.contest.ContestService;
import com.incubator.game.data.data.ContestCO;
import com.incubator.game.data.data.GameData;
import com.incubator.game.data.data.PromotionLvCO;
import com.incubator.game.data.data.ext.ContestExt;
import com.incubator.game.handler.contest.GetClubCompetitionListHandler;
import com.incubator.game.handler.contest.GetContestListHandler;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import com.incubator.game.util.ContestUtil;
import com.incubator.game.util.MapToObject;
import com.incubator.game.util.ProtoUtil;
import com.incubator.message.proto.CommonProto;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-19 12:36
 */
@MessageHandler(httpPath = "/compete")
public class CompeteHandler extends HttpHandler {

    /**
     * 设置消息内容
     *
     * @param request
     * @param params
     **/
    @Override
    public HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception {
        HttpResponse httpResponse = new HttpResponse();
        httpResponse.setCode(200);
        httpResponse.setMessage("成功！");
        Map<String, GPlayer> onlinePlayers = GGame.onlinePlayers;
        Integer competeType = Integer.parseInt(params.get("competeType"));
        ContestExt contestCO = new ContestExt();
        contestCO.setCompeteType(competeType);
        String Rule = params.get("Rule");
        JSONObject parse = JSONUtil.parseObj(Rule);
        contestCO.setRule(parse);
        if (competeType==2){
            String clubList = params.get("clubList");
            JSONArray objects = new JSONArray(clubList);
            for (Object object : objects) {
                contestCO = new ContestExt();
                contestCO.setRule(parse);
                contestCO.setCompeteType(competeType);
                String clubId = (String) object;
                contestCO.setClubId(clubId);
                contestCO.setClubMode(Integer.parseInt(params.get("clubMode")));
                ContestUtil.createContest(params,contestCO);
            }
            onlinePlayers.forEach((key, value) -> {
                Player player = (Player) value;
                List<Object> objects1 = GetClubCompetitionListHandler.contestInfoList(player);
                Map<String, Object> map = new HashMap<>();
                // 官方比赛信息列表
                map.put("contestInfo", objects1);
                player.receive(CommonProto.Cmd.GetClubCompetitionListRes_VALUE,map);
            });
            return httpResponse;
        }
        ContestUtil.createContest(params,contestCO);

        //推送比赛列表
        onlinePlayers.forEach((key, value) -> {
            Player player = (Player) value;
            List<Object> objects = GetContestListHandler.contestInfoList(player);
            Map<String, Object> map = new HashMap<>();
            // 官方比赛信息列表
            map.put("contestInfo", objects);
            player.receive(CommonProto.Cmd.GetContestListRes_VALUE,map);
        });
        return httpResponse;
    }
}
