package com.incubator.game.handler.http;

import com.incubator.common.MessageHandler;
import com.incubator.core.net.http.HttpHandler;
import com.incubator.core.net.http.HttpRequest;
import com.incubator.core.net.http.HttpResponse;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import com.incubator.game.util.PlayerUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2025-01-08 15:53
 * 冻结玩家
 */
@MessageHandler(httpPath = "/freezePlayer")
public class FreezePlayer extends HttpHandler {
    /**
     * 设置消息内容
     **/
    @Override
    public HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception {
        HttpResponse httpResponse = new HttpResponse();
        httpResponse.setCode(200);
        httpResponse.setMessage("成功！");
        String userId = params.get("userId");
        String thawTime = params.get("thawTime");
        Player onlinePlayer = (Player)PlayerUtil.getOnlinePlayer(userId);
        if (onlinePlayer == null) {
            return httpResponse;
        }
        HashMap<String, Object> map = new HashMap<>();
        map.put("message", "当前账号已被冻结,解冻时间为"+thawTime+",如有问题请联系客服");
        onlinePlayer.receive(CommonProto.Cmd.FreezePlayer_VALUE,map);
        return httpResponse;
    }
}
