package com.incubator.game.handler.http;

import com.alibaba.fastjson2.JSONObject;
import com.incubator.common.MessageHandler;
import com.incubator.core.net.http.HttpRequest;
import com.incubator.core.net.http.HttpHandler;
import com.incubator.core.net.http.HttpResponse;
import com.incubator.game.util.CardUtils;
import com.incubator.game.util.GDUtils;
import com.incubator.message.proto.CommonProto;

import java.util.*;

/**
 * AI获取初始牌型接口V1.ll0接口定义
 *
 * @author johnc
 */
@MessageHandler(httpPath = "/getCardInfo")
public class GetCardInfoHandler extends HttpHandler {

	@Override
	public HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception {

		HttpResponse response = new HttpResponse();
		// 牌库
		List<Integer> cardList = new ArrayList<>();
		// 玩家1手牌
		int[] player1 = new int[]{};
		// 玩家2手牌
		int[] player2 = new int[]{};
		// 玩家3手牌
		int[] player3 = new int[]{};
		// 玩家4手牌
		int[] player4 = new int[]{};

		// 初始化牌库
		for (int i = 0; i < 2; i++) {
			cardList.addAll(Arrays.asList(GDUtils.values));
			Collections.shuffle(cardList);
		}

		// 玩家1 发牌
		for (int i = 0; i < 27; i++) {
			int card = cardList.get(0);
			player1 = CardUtils.add(player1, card);
			cardList.remove(0);
		}

		// 玩家2 发牌
		for (int i = 0; i < 27; i++) {
			int card = cardList.get(0);
			player2 = CardUtils.add(player2, card);
			cardList.remove(0);
		}

		// 玩家3 发牌
		for (int i = 0; i < 27; i++) {
			int card = cardList.get(0);
			player3 = CardUtils.add(player3, card);
			cardList.remove(0);
		}

		// 玩家4 发牌
		for (int i = 0; i < 27; i++) {
			int card = cardList.get(0);
			player4 = CardUtils.add(player4, card);
			cardList.remove(0);
		}

		JSONObject data = new JSONObject();
		data.put("player1", player1);
		data.put("player2", player2);
		data.put("player3", player3);
		data.put("player4", player4);
		response.setCode(CommonProto.Code.OK_VALUE);
		response.setData(data.toJSONString());

		return response;
	}
}
