package com.incubator.game.handler.http;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.core.net.http.HttpHandler;
import com.incubator.core.net.http.HttpRequest;
import com.incubator.core.net.http.HttpResponse;
import com.incubator.message.proto.CommonProto;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-17 10:43
 */
@MessageHandler(httpPath = "/wxLogin")
public class WxLogin extends HttpHandler {

    private static final String wxAppidC = "wxa1c5de9033d008fa";

    private static final String wxAppSecretC = "dd530f78cab70c8d3b2cf960399116c2";

    /**
     * 设置消息内容
     **/
    @Override
    public HttpResponse onDate(HttpRequest request, Map<String, String> params) throws Exception {
        HttpResponse response = new HttpResponse();
        String code = params.get("code");
        String avatarUrl = params.get("avatarUrl");
        String nickName = params.get("nickName");
        String url = "https://api.weixin.qq.com/sns/jscode2session" +
                "?appid=" + wxAppidC +
                "&secret=" + wxAppSecretC +
                "&js_code=" + code +
                "&grant_type=authorization_code";
        RestTemplate restTemplate = new RestTemplate();
        String forObject = restTemplate.getForObject(url, String.class);
        JSONObject jsonObject = JSONUtil.parseObj(forObject);
        String sessionKey = (String)jsonObject.get("session_key");
        String openId = (String)jsonObject.get("openid");
        JSONObject object = new JSONObject();
        object.put("code", code);
        response.setCode(CommonProto.Code.OK_VALUE);
        response.setData(object.toString());
        return response;
    }
}
