package com.incubator.game.handler.jdgd;

import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.jdgd.JDGDGameplay;
import com.incubator.game.player.Player;
import com.incubator.game.util.PlayerUtil;
import com.incubator.message.proto.CommonProto;

/**
 * Author:  xhb
 * Date:  2024-12-31 17:52
 * Description: 匹配房间处理器
 */
@MessageHandler(id = CommonProto.Cmd.ClassicGuanDanReq_VALUE)
public class NormalJDGDRoomHandler extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.ClassicGuanDanRes_VALUE);
        String LvType = request.getDataValue("LvType", String.class, "");//房间等级
        String playerId = session.getPlayerId();
        Player player = (Player)PlayerUtil.getOnlinePlayer(playerId);
        JDGDGameplay.joinMatchQueue(LvType,player);
        response.setMessage("加入成功");
    }
}
