package com.incubator.game.handler.mall;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.ZjClubPo;
import com.incubator.game.data.po.ZjProductPo;
import com.incubator.game.util.ObjectMapperUtil;
import com.incubator.message.proto.CommonProto;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-09 14:05
 * 获取商城列表信息
 */
@MessageHandler(id = CommonProto.Cmd.ShopInfoReq_VALUE)
public class GetMallListInfoHandler extends NetHandler {
    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.ShopInfoRes_VALUE);

        //校验token
//        String token = request.getDataValue("token", String.class, "");
//        if (token == null) {
//            response.setCode(CommonProto.Code.SYSTEM_ERR_VALUE);
//            response.setMessage("非法请求/token不存在/token为空");
//            return;
//        }
        //取出俱乐部列表
        String malls = RedisUtil.get(RedisKeyConstant.MALL_BASE);
        JSONObject jsonObject = JSONUtil.parseObj(malls);
        // 从JSONObject中获取包含俱乐部列表的数组
        JSONArray mallArray = jsonObject.getJSONArray("mallList");
        // 将JSONArray转换为List<ClubDto>
        List<ZjProductPo> mallList = mallArray.toList(ZjProductPo.class);
        Map<String, Object> map = new HashMap<>();

//        List<Map<String, Object>> newList  = new ArrayList<>();
//        for (ZjProductPo zjProductPo : mallList) {
//            Map<String,Object> zjProductPoMap = new HashMap<>();
//            zjProductPoMap.put("productId", zjProductPo.getProductId());
//            zjProductPoMap.put("productNo", zjProductPo.getProductNo());
//            zjProductPoMap.put("productName", zjProductPo.getProductName());
//            zjProductPoMap.put("productImg", zjProductPo.getProductImg());
//            zjProductPoMap.put("productDescription", zjProductPo.getProductDescription());
//            zjProductPoMap.put("productType", zjProductPo.getProductType());
//            zjProductPoMap.put("productPrice", zjProductPo.getProductPrice());
//            zjProductPoMap.put("productList", zjProductPo.getProductList());
//            zjProductPoMap.put("productUnit", zjProductPo.getProductUnit());
//            newList.add(zjProductPoMap);
//        }
        List<Map<String, Object>> maps = ObjectMapperUtil.convertListToMapList(mallList);
        map.put("mallList", maps);
        response.setData(map);
    }
}
