package com.incubator.game.handler.mall;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.entity.ZjBackpack;
import com.incubator.game.data.entity.ZjOrder;
import com.incubator.game.data.entity.ZjUser;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.mq.RabbitMQUtil;
import com.incubator.game.data.po.*;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import com.incubator.game.util.PlayerUtil;
import com.incubator.game.util.UtilCore;
import com.incubator.message.proto.CommonProto;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Optional;

/**
 * Author:  xhb
 * Date:  2024-12-11 9:12
 * 购买商品
 */
@MessageHandler(id = CommonProto.Cmd.ShopBuyReq_VALUE)
public class ShopBuy extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.ShopBuyRes_VALUE);


        String userId = session.getPlayerId();
        Player onlinePlayer = (Player)PlayerUtil.getOnlinePlayer(userId);
        //查询自己的钱包
        long foca = onlinePlayer.data.foca;//福卡
        long gold = onlinePlayer.data.gold;//金蛋
        long diamond = onlinePlayer.data.diamond;//钻石

        String productId = request.getDataValue("productId", String.class, "");//商品id
//        long productSellPrice = Long.parseLong(request.getDataValue("productSellPrice", String.class, ""));//商品价格
//        String productUnit = request.getDataValue("productUnit", String.class, "");//商品单位(1人民币 2钻石 3福卡 4金蛋,
//        switch (productUnit){
//            case"2":
//                if (diamond<productSellPrice){
//                    response.setCmd(CommonProto.Code.PARAMETER_ERR_VALUE);
//                    response.setMessage("钻石不足");
//                    return;
//                }
//            case"3":
//                if (foca<productSellPrice){
//                    response.setCmd(CommonProto.Code.PARAMETER_ERR_VALUE);
//                    response.setMessage("福卡不足");
//                    return;
//                }
//            case"4":
//                if (gold<productSellPrice){
//                    response.setCmd(CommonProto.Code.PARAMETER_ERR_VALUE);
//                    response.setMessage("金蛋不足");
//                    return;
//                }
//        }
        JSONObject object = new JSONObject();
        object.put("type", "shopBuy");
        object.put("userId", userId);
        object.put("productId", productId);
        try {
            RabbitMQUtil.sendMessage(object.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
