package com.incubator.game.handler.message;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.mq.RabbitMQUtil;
import com.incubator.game.data.po.MessagePO;
import com.incubator.message.proto.CommonProto;

import java.util.List;

/**
 * Author:  xhb
 * Date:  2024-12-17 15:33
 * Description: 获取奖励消息
 */
@MessageHandler(id = CommonProto.Cmd.GetRewardMessageReq_VALUE)
public class GetRewardMessage extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetRewardMessageRes_VALUE);
        String userId = session.getPlayerId();
        String id = request.getDataValue("id", String.class, "");//消息id

        String jsonStr = RedisUtil.get(RedisKeyConstant.ZJ_USER_MESSAGE + userId);
        if (jsonStr == null) {
            return;
        }
        JSONArray jsonArray  = new JSONArray(jsonStr);
        for (Object o : jsonArray) {
            JSONObject parse = JSONUtil.parseObj(o);
            String msgId = (String)parse.get("id");
            if (msgId.equals(id)) {
                parse.set("rewardClaimed",true);
                JSONArray rewardList = (JSONArray)parse.get("rewardList");
                JSONObject object = new JSONObject();
                object.put("type","GetMessageReward");
                object.put("userId",userId);
                object.put("rewardList",rewardList);
                try {
                    RabbitMQUtil.sendMessage(object.toString());
                } catch (Exception e) {
                    e.printStackTrace();
                }

                break;
            }
        }

        RedisUtil.set(RedisKeyConstant.ZJ_USER_MESSAGE + userId,jsonArray);
        response.setMessage("领取成功!");
    }

}
