package com.incubator.game.handler.message;

import cn.hutool.json.JSON;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.MessagePO;
import com.incubator.game.util.JsonToMapUtil;
import com.incubator.game.util.ObjectMapperUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-17 9:59
 */
@MessageHandler(id = CommonProto.Cmd.MessageInfoReq_VALUE)
public class MessageInfo extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.MessageInfoRes_VALUE);
        String userId = session.getPlayerId();
        String jsonStr = RedisUtil.get(RedisKeyConstant.ZJ_USER_MESSAGE + userId);
        if (jsonStr == null||jsonStr.equals("[]")) {
            return;
        }
        JSONArray jsonArray  = new JSONArray(jsonStr);
        List<Map<String, Object>> mapList = JsonToMapUtil.parseJsonArrayToMapList(jsonArray);
        Map<String, Object> map = new HashMap<>();
        map.put("messageList", mapList);
        response.setData(map);
    }
}
