package com.incubator.game.handler.message;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.MessagePO;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;
import java.util.List;

/**
 * Author:  xhb
 * Date:  2024-12-17 14:58
 */
@MessageHandler(id = CommonProto.Cmd.ReadMessageReq_VALUE)
public class ReadMessage extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.ReadMessageRes_VALUE);

        String userId = session.getPlayerId();
        String id = request.getDataValue("id", String.class, "");//消息id
        String status = request.getDataValue("status", String.class, null);//状态

        String jsonStr = RedisUtil.get(RedisKeyConstant.ZJ_USER_MESSAGE + userId);
        if (jsonStr == null) {
            return;
        }
        JSONArray jsonArray  = new JSONArray(jsonStr);
        List<MessagePO> messagePOS = jsonArray.toList(MessagePO.class);
        int size = 0;
        for (MessagePO o : messagePOS) {
            if (o.getId().equals(id)) {
                o.setRead(true);
                size = o.getType();
                if (status!=null&&status.equals("-1")) {
                    messagePOS.remove(o);
                }
                break;
            }
        }
        RedisUtil.set(RedisKeyConstant.ZJ_USER_MESSAGE + userId,JSONUtil.toJsonStr(messagePOS));
        HashMap<String,Object> hashMap = new HashMap<>();
        hashMap.put("id",id);
        hashMap.put("type",size);
        response.setData(hashMap);
    }

}
