package com.incubator.game.handler.user;

import cn.hutool.json.JSONObject;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.data.mq.RabbitMQUtil;
import com.incubator.message.proto.CommonProto;

/**
 * Author:  xhb
 * Date:  2025-01-02 17:31
 * Description: 用户实名认证处理器
 */
@MessageHandler(id = CommonProto.Cmd.AuthenticationReq_VALUE)
public class AuthenticationHandler extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.AuthenticationRes_VALUE);
        String userId = session.getPlayerId();
        String name = request.getDataValue("realName", String.class, "");
        String certNo = request.getDataValue("idCard", String.class, "");
        JSONObject object = new JSONObject();
        object.put("type", "saveAuth");
        object.put("userId", userId);
        object.put("name", name);
        object.put("certNo", certNo);
        try {
            RabbitMQUtil.sendMessage(object.toString());
        } catch (Exception e) {
            e.printStackTrace();
        }


    }
}
