package com.incubator.game.handler.user;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;

/**
 * Author:  xhb
 * Date:  2025-01-02 17:33
 * Description: 获取实名信息
 */
@MessageHandler(id = CommonProto.Cmd.GetAuthenticationReq_VALUE)
public class GetAuthenticationHandler extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetAuthenticationRes_VALUE);
        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.USER_BASE + userId);
        JSONObject userObject = JSONUtil.parseObj(userInfo);
        JSONObject auth = (JSONObject)userObject.get("auth");
        HashMap<String, Object> stringObjectHashMap = new HashMap<>();
        stringObjectHashMap.put("name", auth.get("name"));
        stringObjectHashMap.put("certNo", auth.get("certNo"));
        response.setData(stringObjectHashMap);
    }
}