package com.incubator.game.handler.user;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.constant.RedisKeyConstant;
import com.incubator.game.data.jedis.RedisUtil;
import com.incubator.game.data.po.ZjUserYaoPO;
import com.incubator.message.proto.CommonProto;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2024-12-11 13:08
 */
@MessageHandler(id = CommonProto.Cmd.GetUserYaoReq_VALUE)
public class GetUserYao extends NetHandler {

    @Override
    public void onDate(Connection session, WSRequest request, WSResponse response) {
        response.setCmd(CommonProto.Cmd.GetUserYaoRes_VALUE);

        String userId = session.getPlayerId();
        String userInfo = RedisUtil.get(RedisKeyConstant.USER_BASE + userId);
        JSONObject userObject = JSONUtil.parseObj(userInfo);
        Object userYao = userObject.get("userYao");
        ZjUserYaoPO userYaoPO = JSONUtil.toBean((JSONObject) userYao, ZjUserYaoPO.class);

        List<ZjUserYaoPO.UserBase> userBases = userYaoPO.getUserBases();
        if (userBases == null) {
            Map<String,Object> map = new HashMap<>();
            map.put("yqList", new ArrayList<>());
            map.put("yqPeopleNum",0);
            map.put("yqGetFukaNum",0);
            response.setData(map);
            return;
        }
        List<Map<String,String>> objects = new ArrayList<>();
        for (ZjUserYaoPO.UserBase userBase : userBases) {
            Map<String,String> map = new HashMap<>();
            map.put("nickName",userBase.getNickName());
            map.put("avatarUrl",userBase.getAvatarUrl());
            map.put("id",userBase.getId());
            objects.add(map);
        }

        Map<String,Object> map = new HashMap<>();
        map.put("yqList",objects);
        map.put("yqPeopleNum",userYaoPO.getYaoNum());
        map.put("yqGetFukaNum",userYaoPO.getFuCard());
        response.setData(map);
    }
}
