package com.incubator.game.room;

/**
 * 房间工厂类，根据类型创建房间
 */
public class RoomFactory {

    /**
     * 创建房间
     *
     * @param gameType  玩法类型 1:掼蛋 2:转蛋 3:复式掼蛋
     * @return
     */
    public static Room createRoom(int gameType) {
        switch (gameType) {
            case 1:
                // 掼蛋玩法
                return new GDRoom();
            case 2:
                // 转蛋玩法
                return new ZDRoom();
            case 3:
                // 复式掼蛋
                return new FSGDRoom();
            case 4:
                // 添加其他房间类型
//                return new SomeOtherRoom();
            default:
                // 默认房间类型
                return new Room();
        }
    }

}
