package com.incubator.game.timer;

import com.incubator.game.GGame;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import com.incubator.core.quartz.QuartzTask;

/**
 * 数据同步(3分钟一次)
 */
public final class FlushDB extends QuartzTask {

	@Override
	public String getName() {
		return "flushDBJob";
	}

	@Override
	public String getGroup() {
		return "triggerGroup";
	}

	@Override
	public String getCrond() {
		return "0 0/3 * * * ?";
	}

	@Override
	public void execute(JobExecutionContext context) throws JobExecutionException {
		//全局数据

		//玩家数据
		Player player = null;
		for (GPlayer _player : GGame.onlinePlayers.values()) {
			if (_player != null) {
				player = (Player) _player;
				player.sync();
			}
		}
	}

}
