package com.incubator.game.util;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.incubator.common.log4j.Log;
import com.incubator.game.contest.ContestService;
import com.incubator.game.data.data.ext.ContestExt;
import com.incubator.game.handler.contest.GetClubCompetitionListHandler;
import com.incubator.game.handler.contest.GetContestListHandler;
import com.incubator.game.player.Player;
import com.incubator.message.proto.CommonProto;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Author:  xhb
 * Date:  2025-01-07 11:13
 */
public class ContestUtil {

    public static void createContest(Map<String, String> params, ContestExt contestCO) {
        contestCO.setiD(Integer.parseInt(params.get("iD")));
        contestCO.setGameType(Integer.parseInt(params.get("GameType")));
        contestCO.setDesc(params.get("Desc"));
        contestCO.setSubstituteNum(Integer.parseInt(params.get("SubstituteNum")));
        contestCO.setModel(Integer.parseInt(params.get("Model")));
        contestCO.setIsOpen(Integer.parseInt(params.get("IsOpen")));
        contestCO.setOpenTime(params.get("OpenTime"));
        contestCO.setMaxRound(Integer.parseInt(params.get("MaxRound")));
        contestCO.setReadyNum(Integer.parseInt(params.get("readyNum")));
        contestCO.setFinalNum(Integer.parseInt(params.get("finalNum")));
        contestCO.setLevel(Integer.parseInt(params.get("competeLevel")));
        contestCO.setRunStatus(params.get("runStatus"));
        contestCO.setCost(new BigDecimal(params.get("cost")));
        contestCO.setCurrencyType(params.get("currencyType"));
        contestCO.setStates(Integer.parseInt(params.get("states")));
        contestCO.setContestSystem("规则:预赛"+Integer.parseInt(params.get("readyNum"))+"局,决赛"+Integer.parseInt(params.get("finalNum"))+"局 不可复活 报名费"+Double.parseDouble(params.get("cost"))+getCurrencyType(contestCO.getCurrencyType()) +
                "\n赛制:转蛋，双下4分，淘汰赛");
        JSONArray objects1 = new JSONArray(params.get("rewards"));
        contestCO.setRewards(objects1);
        contestCO.setMax(Integer.parseInt(params.get("max")));
        contestCO.setMin(Integer.parseInt(params.get("min")));
        int candidateRule = Integer.parseInt(params.get("candidateRule"));
        contestCO.setSubstituteRule(candidateRule);
        if (candidateRule==1){
            contestCO.setSubstituteCost(new BigDecimal(params.get("candidateCost")));
            contestCO.setSubstituteTime(Integer.parseInt(params.get("SubstituteTime")));
        }
//        ContestService.getInstance().creatContest(contestCO.getGameType(),contestCO.getiD(),contestCO);
        ContestService.getInstance().creatLobbyContest(contestCO.getGameType(),contestCO.getiD(),contestCO);
        List<Object> objects = ProtoUtil.contestListByRunToMessage();
        Log.info("比赛列表 : List={}", objects);
    }

    public static void createJsonContest(JSONObject params) {
        ContestExt contestCO = new ContestExt();
        Integer competeType = (Integer)params.get("competeType");
        contestCO.setCompeteType(competeType);
        JSONObject Rule = (JSONObject)params.get("Rule");
        contestCO.setRule(Rule);
        if (competeType==2){
            String clubList = (String)params.get("clubList");
            JSONArray objects = new JSONArray(clubList);
            for (Object object : objects) {
                contestCO = new ContestExt();
                contestCO.setRule(Rule);
                contestCO.setCompeteType(competeType);
                String clubId = (String) object;
                contestCO.setClubId(clubId);
                contestCO.setClubMode(Integer.parseInt(params.get("clubMode").toString()));
                ContestUtil.createContest(params,contestCO);
            }
            return;
        }
        ContestUtil.createContest(params,contestCO);
    }

    public static void createContest(JSONObject params, ContestExt contestCO) {
        contestCO.setiD((Integer)params.get("iD"));
        contestCO.setGameType((Integer)params.get("GameType"));
        contestCO.setDesc((String)params.get("Desc"));
        contestCO.setSubstituteNum((Integer)params.get("SubstituteNum"));
        contestCO.setModel((Integer)params.get("Model"));
        contestCO.setIsOpen((Integer)params.get("IsOpen"));
        contestCO.setOpenTime((String)params.get("OpenTime"));
        contestCO.setMaxRound((Integer)params.get("MaxRound"));
        contestCO.setReadyNum((Integer)params.get("readyNum"));
        contestCO.setFinalNum((Integer)params.get("finalNum"));
        contestCO.setLevel(Integer.parseInt((String)params.get("competeLevel")));
        contestCO.setRunStatus((String)params.get("runStatus"));
        contestCO.setStates((Integer)params.get("states"));
        contestCO.setCost(new BigDecimal((Integer)params.get("cost")));
        contestCO.setCurrencyType((String)params.get("currencyType"));
        contestCO.setContestSystem("规则:预赛"+params.get("readyNum")+"局,决赛"+params.get("finalNum")+"局 不可复活 报名费"+params.get("cost")+getCurrencyType(contestCO.getCurrencyType()) +
                "\n赛制:转蛋，双下4分，淘汰赛");
        JSONArray objects1 = new JSONArray(params.get("rewards"));
        contestCO.setRewards(objects1);
        contestCO.setMax((Integer)params.get("max"));
        contestCO.setMin((Integer)params.get("min"));
        Object actors = params.get("actors");
        if (actors!=null){
            JSONArray objects = new JSONArray(actors);
            List<Player> players = objects.toList(Player.class);
            contestCO.setActors(players);
        }
        int candidateRule = Integer.parseInt((String)params.get("candidateRule"));
        contestCO.setSubstituteRule(candidateRule);
        if (candidateRule==1){
            contestCO.setSubstituteCost(new BigDecimal((Integer)params.get("candidateCost")));
            contestCO.setSubstituteTime((Integer)params.get("SubstituteTime"));
        }
//        ContestService.getInstance().creatContest(contestCO.getGameType(),contestCO.getiD(),contestCO);
        ContestService.getInstance().creatLobbyContest(contestCO.getGameType(),contestCO.getiD(),contestCO);
//        List<Object> objects = ProtoUtil.contestListByRunToMessage();
//        Log.info("比赛列表 : List={}", objects);
    }



    private static String getCurrencyType(String competeType){
        switch (competeType){
            case "1": return "金币";
            case "2": return "钻石";
            case "3": return "福卡";
            default: return null;
        }
    }
}
