package com.incubator.game.util;

import com.alibaba.fastjson2.annotation.JSONField;
import com.incubator.game.player.Player;

/**
 * 后台自定义结构类
 */
public final class GMStruct {

    /**
     * 后台规则
     */
    public static class GameRule {

        @JSONField(name = "ruleId")
        private String ruleId;

        @JSONField(name = "name")
        private String name;
        /** 游戏类型 1:掼蛋，2:转蛋，3:复试掼蛋 **/
        @JSONField(name = "gameType")
        private String gameType;
        /** 玩法1 1:连续打，2:按局数，3:按时间 **/
        @JSONField(name = "playingTypeOne")
        private String playingTypeOne;
        /** 玩法2 1:A必打 2:J必打 3:8必打 4:5必打 5:4局 6:六局 7:8局 10:10局 **/
        @JSONField(name = "playingTypeTwo")
        private String playingTypeTwo;
        /** 升级规则 1:123级，2:124级，3:135级，4:246级 **/
        @JSONField(name = "upgradeType")
        private String upgradeType;
        /** 翻山规则 1:有头游无末游过A结束，2:有头游过A结束，3:3局不过A判负结束，4:3局不过A从2开始 **/
        @JSONField(name = "flippingType")
        private String flippingType;
        /** 进共规则 1:进贡，2:不进贡（头游先出） **/
        @JSONField(name = "advanceType")
        private String advanceType;
        /** 队友规则 1固定队友 2随机搭档 3均匀分配 **/
        @JSONField(name = "teamType")
        private String teamType;
        /** 牌级规则 1随机打几 2固定打2 **/
        @JSONField(name = "levelType")
        private String levelType;
        /** 翻倍规则 1不翻倍 2加倍 3翻倍 **/
        @JSONField(name = "doublingType")
        private String doublingType;
        /** 积分规则 1:123 2:124 **/
        @JSONField(name = "pointsType")
        private String pointsType;
        /** 超时规则 1:过牌 2:待机 3:托管 **/
        @JSONField(name = "timeoutType")
        private String timeoutType;
        /** 语音规则 1允许 2禁用 **/
        @JSONField(name = "voiceType")
        private String voiceType;
        /** 记牌器 1允许 2禁用 **/
        @JSONField(name = "recordType")
        private String recordType;
        /** 观看规则 1第一视角 2上帝视角 3上帝&第一视角 4禁用 **/
        @JSONField(name = "watchType")
        private String watchType;
        /** 实时比分 1实时显示 2非实时显示 **/
        @JSONField(name = "realType")
        private String realType;
        /** 自定义 1允许 2禁用 **/
        @JSONField(name = "customize")
        private String customize;
        /** 规则简介 **/
        @JSONField(name = "synopsis")
        private String synopsis;
        /** 游戏规则状态 1未使用 2使用中 3使用完毕 **/
        @JSONField(name = "states")
        private String states;
        /** 运行状态 Y上线 N下载 D删除 **/
        @JSONField(name = "runStates")
        private String runStates;
        /** 创建时间 **/
        @JSONField(name = "createTime")
        private long createTime;
        /** 规则编号 **/
        @JSONField(name = "ruleNo")
        private String ruleNo;
        /** 创建人 **/
        @JSONField(name = "createPeople")
        private String createPeople;

        public GameRule() {}

        // Getters and Setters
        public String getRuleId() {
            return ruleId;
        }

        public void setRuleId(String ruleId) {
            this.ruleId = ruleId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getGameType() {
            return gameType;
        }

        public void setGameType(String gameType) {
            this.gameType = gameType;
        }

        public String getPlayingTypeOne() {
            return playingTypeOne;
        }

        public void setPlayingTypeOne(String playingTypeOne) {
            this.playingTypeOne = playingTypeOne;
        }

        public String getPlayingTypeTwo() {
            return playingTypeTwo;
        }

        public void setPlayingTypeTwo(String playingTypeTwo) {
            this.playingTypeTwo = playingTypeTwo;
        }

        public String getUpgradeType() {
            return upgradeType;
        }

        public void setUpgradeType(String upgradeType) {
            this.upgradeType = upgradeType;
        }

        public String getFlippingType() {
            return flippingType;
        }

        public void setFlippingType(String flippingType) {
            this.flippingType = flippingType;
        }

        public String getAdvanceType() {
            return advanceType;
        }

        public void setAdvanceType(String advanceType) {
            this.advanceType = advanceType;
        }

        public String getTeamType() {
            return teamType;
        }

        public void setTeamType(String teamType) {
            this.teamType = teamType;
        }

        public String getLevelType() {
            return levelType;
        }

        public void setLevelType(String levelType) {
            this.levelType = levelType;
        }

        public String getDoublingType() {
            return doublingType;
        }

        public void setDoublingType(String doublingType) {
            this.doublingType = doublingType;
        }

        public String getPointsType() {
            return pointsType;
        }

        public void setPointsType(String pointsType) {
            this.pointsType = pointsType;
        }

        public String getTimeoutType() {
            return timeoutType;
        }

        public void setTimeoutType(String timeoutType) {
            this.timeoutType = timeoutType;
        }

        public String getVoiceType() {
            return voiceType;
        }

        public void setVoiceType(String voiceType) {
            this.voiceType = voiceType;
        }

        public String getRecordType() {
            return recordType;
        }

        public void setRecordType(String recordType) {
            this.recordType = recordType;
        }

        public String getWatchType() {
            return watchType;
        }

        public void setWatchType(String watchType) {
            this.watchType = watchType;
        }

        public String getRealType() {
            return realType;
        }

        public void setRealType(String realType) {
            this.realType = realType;
        }

        public String getCustomize() {
            return customize;
        }

        public void setCustomize(String customize) {
            this.customize = customize;
        }

        public String getSynopsis() {
            return synopsis;
        }

        public void setSynopsis(String synopsis) {
            this.synopsis = synopsis;
        }

        public String getStates() {
            return states;
        }

        public void setStates(String states) {
            this.states = states;
        }

        public String getRunStates() {
            return runStates;
        }

        public void setRunStates(String runStates) {
            this.runStates = runStates;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public String getRuleNo() {
            return ruleNo;
        }

        public void setRuleNo(String ruleNo) {
            this.ruleNo = ruleNo;
        }

        public String getCreatePeople() {
            return createPeople;
        }

        public void setCreatePeople(String createPeople) {
            this.createPeople = createPeople;
        }
    }


}
