package com.incubator.game.util;

import com.incubator.common.log4j.Log;
import com.incubator.core.util.DataUtil;
import com.incubator.game.GGame;
import com.incubator.game.data.data.GlobalParamConfig;

import java.io.File;
import java.io.FileFilter;
import java.util.Map;

/**
 * 游戏配置管理类
 */
public final class GameDataUtil {

	//private Map<String, Integer> IngroeSheet = new HashMap<>();
	private static int TableCount = 0;

	private static void loadData(File parent) {
		File[] tables = parent.listFiles(new FileFilter() {
			@Override
			public boolean accept(File file) {
				if (file.isDirectory()) {
					loadData(file);
				}
				if (file.getName().endsWith(".json")) {
					DataUtil.loadData(file, false);
					return true;
				}
				return false;
			}
		});
		if (tables != null) {
			TableCount += tables.length;
		}
	}

	public static void initData() {
		DataUtil.addExtClass("com.incubator.game.data.data");
		File dataDir = new File(GGame.DIR_GAME_DATA);
		//读取策划表json文件
		loadData(dataDir);
		Log.info("读取策划表数量: {}", TableCount);
				
		DataUtil.initProperty();
		//加载全局参数
		GlobalParamConfig.init(true);
	}
	
	
	public static <T> T getConfigCo(Map<Integer, T> coMap) {
		return coMap.values().stream().findAny().get();
	}
}
