package com.incubator.game.util;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * List结果集转换工具类
 */
public class ObjectMapperUtil {

    public static <T> List<Map<String, Object>> convertListToMapList(List<T> list) {
        List<Map<String, Object>> result = new ArrayList<>();
        if (list == null || list.isEmpty()) {
            return result;
        }

        Class<?> clazz = list.get(0).getClass();
        for (T item : list) {
            Map<String, Object> map = new HashMap<>();
            Field[] fields = clazz.getDeclaredFields();
            for (Field field : fields) {
                field.setAccessible(true);
                try {
                    map.put(field.getName(), field.get(item));
                } catch (IllegalAccessException e) {
                    e.printStackTrace();
                }
            }
            result.add(map);
        }
        return result;
    }
}