package com.incubator.game.util;

import com.incubator.common.net.Connection;
import com.incubator.game.GGame;
import com.incubator.game.data.po.PlayerInfoPO;
import com.incubator.game.player.GPlayer;
import com.incubator.game.player.Player;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;

/**
 * 玩家工具类
 */
public final class PlayerUtil {

    /**
     * 初始化创建玩家数据
     *
     * @return
     */
    public static Player createPlayer(PlayerInfoPO playerInfoPO) {
        Player player = GGame.playerPool.acquirePlayer(playerInfoPO);
        player.data = playerInfoPO;
        return player;
    }

    /** 根据账号查找玩家 */
    public static GPlayer getPlayerByUid(String uid) {
        if (StringUtils.isEmpty(uid)) {
            return null;
        }
        for (GPlayer p : GGame.onlinePlayers.values()) {
            if (Objects.equals(p.getUid(), uid)) {
                return p;
            }
        }
        return null;
    }

    /**
     * 获取在线玩家
     *
     * @param playerId
     * @return
     */
    public static GPlayer getOnlinePlayer(String playerId) {
        return GGame.onlinePlayers.getOrDefault(playerId, null);
    }

    /** 移除绑定关系, 挤帐号用的, 顺序不要轻易调整，否则就GG了 **/
    public static void removeSessionBindPlayerInfo(Connection session) {
        //1. 移除绑定关系
        //2. 远程登录提示
        //踢掉session
        //3. 退出登录
        //4. 特殊场景，挤号，离开
        //5. 关闭socket
    }

}
