/*
 Navicat Premium Data Transfer

 Source Server         : aws-预发布
 Source Server Type    : MySQL
 Source Server Version : 80026
 Source Host           : fhq-game-mysql001.cuas8fqr6b4u.ap-northeast-1.rds.amazonaws.com:3306
 Source Schema         : incubator_game_dev

 Target Server Type    : MySQL
 Target Server Version : 80026
 File Encoding         : 65001

 Date: 26/08/2022 12:49:21
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for account_info
-- ----------------------------
DROP TABLE IF EXISTS `account_info`;
CREATE TABLE `account_info`  (
  `uid` bigint NOT NULL AUTO_INCREMENT COMMENT '账号id',
  `player_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `platform_id` int NULL DEFAULT NULL COMMENT '平台id 10=web 20=安卓 30=IOS',
  `channel_id` int NULL DEFAULT NULL COMMENT '渠道id 1000=自研 2000=代理 3000=独代',
  `subchannel_id` int NULL DEFAULT NULL COMMENT '子渠道id',
  `game_id` int NULL DEFAULT NULL COMMENT '游戏id',
  `phone_number` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '注册账号时电话号码（不可改变）',
  `email_address` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '注册账号时的邮箱地址（不可改变）',
  `wallet_address` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '链接的钱包地址',
  `wallet_chain` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `share_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '随机且唯一',
  `last_game_id` int NULL DEFAULT NULL COMMENT '上次游玩的游戏id',
  `last_login_ip` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `last_login_time` datetime NULL DEFAULT NULL COMMENT '上次登录时间',
  `token` varchar(33) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`uid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1003 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Table structure for player_info
-- ----------------------------
DROP TABLE IF EXISTS `player_info`;
CREATE TABLE `player_info`  (
  `player_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '游戏内角色id',
  `exp` bigint NULL DEFAULT NULL COMMENT '经验',
  `balance` decimal(10, 0) NULL DEFAULT NULL COMMENT '金币数量',
  `free_spins` int NULL DEFAULT NULL,
  `free_round` int NULL DEFAULT NULL,
  `free_bet` decimal(10, 0) NULL DEFAULT NULL,
  `free_multiplier` int NULL DEFAULT 1,
  `token` varchar(33) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`player_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for record_test
-- ----------------------------
DROP TABLE IF EXISTS `record_test`;
CREATE TABLE `record_test`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `raw_result` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `is_trigger` tinyint(1) NULL DEFAULT NULL,
  `is_free` tinyint(1) NULL DEFAULT NULL,
  `total_win` int NULL DEFAULT NULL,
  `sync_reel_count` tinyint(1) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `id_UNIQUE`(`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of record_test
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
